import * as $dara from '@darabonba/typescript';
import { DeleteEnhancedVpnGatewayResponseBody } from "./DeleteEnhancedVpnGatewayResponseBody";
export declare class DeleteEnhancedVpnGatewayResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteEnhancedVpnGatewayResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
